/*
  soundmgr.h

  socket-based sound manager for /dev/audio

  by Bill Kendrick <bill@newbreedsoftware.com>
  New Breed Software <http://www.newbreedsoftware.com/galaxa/>

  April 22, 1998 - August 6, 2023
*/


#ifndef SOUNDMGR_H
#define SOUNDMGR_H

#define SOUND_BUF 102400  /* size of sound buffer: */

extern int pipefds[2];
extern int devaudio_fd;
extern unsigned char sound_data[SOUND_BUF];


/* Creates the sound manager process: */

FILE * soundmgr(int num_sounds, char * * files);


/* Plays a sound: */

void playsound(FILE * fs, int which_sound);


/* Silences sound manager: */

void silence(FILE * fs);

#endif
